Fix building with libcxx-16

https://bugs.gentoo.org/909316
https://gitlab.com/mnauw/cppgir/-/issues/41

--- cppgir-70b0e3d522cec60316d116dcbd919b797e85685a.orig/CMakeLists.txt
+++ cppgir-70b0e3d522cec60316d116dcbd919b797e85685a/CMakeLists.txt
@@ -65,8 +65,8 @@
     -DDEFAULT_GIRPATH=${GI_DEFAULT_GIRPATH})
 target_compile_definitions(cppgir PRIVATE
     -DDEFAULT_IGNORE_FILE=${GI_IGNORE_FILE_INSTALL_DIR}/${GI_IGNORE_FILE}:${GI_IGNORE_FILE_INSTALL_DIR}/${GI_IGNORE_FILE_PLATFORM})
-target_link_libraries(cppgir Boost::program_options stdc++fs ${FORMAT_LIBRARIES})
-set_property(TARGET cppgir PROPERTY CXX_STANDARD 14)
+target_link_libraries(cppgir Boost::program_options ${FORMAT_LIBRARIES})
+set_property(TARGET cppgir PROPERTY CXX_STANDARD 17)
 
 add_library(gi INTERFACE)
 target_include_directories(gi INTERFACE
--- cppgir-70b0e3d522cec60316d116dcbd919b797e85685a.orig/tools/cppgir.cpp
+++ cppgir-70b0e3d522cec60316d116dcbd919b797e85685a/tools/cppgir.cpp
@@ -3,8 +3,8 @@
 #include "genns.hpp"
 #include "repository.hpp"
 
-#include <experimental/filesystem>
-namespace fs = std::experimental::filesystem;
+#include <filesystem>
+namespace fs = std::filesystem;
 
 #include <boost/algorithm/string/classification.hpp>
 #include <boost/algorithm/string/split.hpp>
--- cppgir-70b0e3d522cec60316d116dcbd919b797e85685a.orig/tools/genbase.hpp
+++ cppgir-70b0e3d522cec60316d116dcbd919b797e85685a/tools/genbase.hpp
@@ -6,6 +6,7 @@
 #include "repository.hpp"
 
 #include <set>
+#include <map>
 
 struct GeneratorOptions
 {
--- cppgir-70b0e3d522cec60316d116dcbd919b797e85685a.orig/tools/genns.cpp
+++ cppgir-70b0e3d522cec60316d116dcbd919b797e85685a/tools/genns.cpp
@@ -5,8 +5,8 @@
 #include <boost/algorithm/string/join.hpp>
 #include <boost/format.hpp>
 
-#include <experimental/filesystem>
-namespace fs = std::experimental::filesystem;
+#include <filesystem>
+namespace fs = std::filesystem;
 
 #include <boost/property_tree/xml_parser.hpp>
 
